Subject: Re: Reference for git.git release process

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Mar 2009 20:34:44 -0700

Jeff King <[email-masked]> writes:

> On Wed, Mar 25, 2009 at 12:30:31PM -0700, Junio C Hamano wrote:
>
>> I do not answer "generally" part, but in git.git, I do not publish heads
>> of individual topic branches.  I could, but simply I don't, because that
>> has been the way I've operated so far, and I am too lazy to change my
>> configuration.
>
> I don't think it is a big problem in practice.

Both times Shawn took over the maintainership from me in October for the
past few years (and I will ask him to this year, too, although I do not
know if he is willing to take it again yet), it would have made his life
(and possibly everybody who had his topic in flight) much easier if they
were public.  Last year I sent him for-each-ref output offline before I
took off to make it a bit easier on him (my disappearance two years ago
was unscheduled and I couldn't do that).